public class ArrayUtils {
    // Metoden returnerar värdet true om target finns i fältet list,
    // annars returnerar metoden värdet false.
    // förvillkor: list != null
    public static boolean isInList(int[] list, int target) {
       int index = 0;
       while (index < list.length) {
           if (target == list[index]) {
               return  true;
           }
           index = index + 1;
       }
       return false;
    }//isInList

    // Metoden returnerar index för första förekomsten av target
    // i fältet list, finns inte target i list returneras värdet -1
    // förvillkor: list != null
    public static int firstIndexOf(int[] list, int target) {
       int index = 0;
       while (index < list.length &&  target != list[index]) {
           index = index + 1;
       }
       if (index < list.length)
           return index;
       else
           return - 1;
    }//firstIndexOf

    // Metoden returnerar index för sista förekomsten av target
    // i fältet list, finns inte target i list returneras värdet -1
    // förvillkor: list != null
    public static int lastIndexOf(int[] list, int target) {
       int index = list.length - 1;
       while (index >= 0 &&  target != list[index]) {
           index = index - 1;
       }
       return index;
    }//LastIndexOf
}//ArrayUtils
